/* Graph showing displacement effect of domestic players by foreign players induced by the Beckham law (and Bosman reform) */


use $pathdata/baseplayerbosman.dta, clear

g foreigner=nationality!=country
g domestic=1-foreigner


/* Note: seasons 1995-1996 and 1996-1997, spanish League had 22 teams instead of 20 teams traditionnaly.
to smooth the graph from this artefactual bump, we remove the 2 worst teams of the league these 2 years, that would not have been in the League if the number of team had stayed constat */
drop if club=="Albacete" & year==1995
drop if club=="Salamanca" & year==1995

drop if club=="Hercules" & year==1996
drop if substr(club,1,5)=="Logro" & country=="Spain" & year==1996



/* Note: seasons 1988 to 2003 Italian serie A League had 18 teams 
then from 2004 on, it had 20 clubs 
to control from this artefact, we remove the 2 worst teams of the league for 2004 to 2008, that would not have been in the League if the number of team had stayed constat */

drop if club=="Atalanta BC" & year==2004
drop if club=="Brescia" & year==2004

drop if club=="US Lecce" & year==2005
drop if club=="Treviso" & year==2005

drop if club=="Ascoli" & year==2006
drop if club=="Messina" & year==2006

drop if club=="Parma" & year==2007
drop if club=="Livorno" & year==2007

drop if club=="US Lecce" & year==2008
drop if club=="Reggina Calcio" & year==2008


collapse (sum) f=foreigner d=domestic, by(year country)



************ Spain 
twoway (connected d year if year>=1990 & year<=2008 & country=="Spain", xline(2004) msymbol(D) msize(small)) ///
(connected f year if year>=1990 & year<=2008 & country=="Spain", xline(1995.5, lpattern(dash)) lcolor(red) mcolor(red) msize(small) yaxis(2)) , ///
ytitle("Number of foreign players", axis(2)) ytitle("Number of domestic players") ylabel(0(50)250, axis(2)) ylabel(200(50)450) xlabel(1990 (5) 2005, grid glc(gs14)) ylabel(,grid glc(gs14))  xtitle(Year) legend(cols(1) label(1 "Number of domestic players in Spain") ///
label(2 "Number of foreign players in Spain")) graphregion(fcolor(white))

graph export "$pathgraph/Spainsorting2.eps", replace
