


/* Program to put the results in shape for graphs after synth command */
cap program drop resultsynth
program define resultsynth 
args min_year treat
matrix define weights=e(W_weights)
matrix weights2=weights[1...,2]
matrix define t=e(Y_treated)
matrix define s=e(Y_synthetic)

foreach var in mtrf stop slow atr_d atr_f {
foreach yr of numlist `min_year'(1)2008{
matrix define M`var'_`yr'=(.) 
}
forval id=1/14{
foreach yr of numlist `min_year'(1)2008{
quietly su `var' if id==`id' & year==`yr'
matrix define `var'_`id'_`yr'=(`r(mean)')
matrix define m`id'=rownumb(weights,"`id'")
if m`id'[1,1]!=. & M`var'_`yr'[1,1]!=.{
matrix M`var'_`yr'=(M`var'_`yr', `var'_`id'_`yr')
}
if m`id'[1,1]!=. & M`var'_`yr'[1,1]==.{
matrix M`var'_`yr'=(`var'_`id'_`yr')
}
}
}

matrix define M`var'=(M`var'_`min_year')
matrix define M`var'_t=(`var'_`treat'_`min_year')
local minyr1=`min_year'+1
foreach yr of numlist `minyr1'(1)2008{
matrix M`var'=( M`var' \ M`var'_`yr')
matrix M`var'_t=( M`var'_t \ `var'_`treat'_`yr')
}
mat `var'_w=M`var'*weights2
}

clear
svmat t, names(y_t)
svmat s, names(y_s)
foreach var in mtrf stop slow atr_d atr_f {
svmat `var'_w, names(`var'_s)
svmat M`var'_t, names(`var'_t)
g diff`var'=`var'_t-`var'_s
}
g year=`min_year'+_n-1
g alpha_t=y_t-y_s
end



/* ************************************************************************************************************************************
														
														SPAIN: Beckham Law
														
														 
***************************************************************************************************************************************/
/*Define treated country==> here country=Spain, id=6 */
global trunit=6


************************************************************************************************
/* 					TOP QUALITY PLAYERS				 */
************************************************************************************************
/* share of top foreigners (national team players)*/
set more off
use $pathdata/basesynthetic_control.dta, clear
local min_y=1990
keep if year>=`min_y'
synth treattop treattop quality   country_sumtotpts_rel uefa_coef_1, trunit($trunit) trperiod(2004) 
resultsynth `min_y' $trunit
save basesynth$trunit , replace


************************************************
/* Short subprogram to get elasticity estimate */
keep year y_t mtrf_t stop_t atr_f_t
rename y_t y 
rename mtrf_t mtrf
rename stop_t stop
rename atr_f_t atr_f
g treatment=1
save basesynth_temp, replace
use basesynth$trunit , clear
keep year y_s mtrf_s stop_s atr_f_s
rename  y_s y
rename mtrf_s mtrf
rename stop_s stop
rename atr_f_s atr_f
g treatment=0
append using basesynth_temp
g reform=year>=2004
g netoftax=1-mtrf
g netofatr=1-atr_f
g treat_after=treatment*reform
xi: ivreg stop (netoftax=treat_after) i.year i.treatment if year>=1990 & year<=2008 
mfx, eyex
matrix define b=e(Xmfx_eyex)
matrix define se_b=e(Xmfx_se_eyex) 
local beta=round(b[1,1]*1000)/1000
local se=round(se_b[1,1]*1000)/1000
local beta_top_spain_mtr=round(b[1,1]*1000)/1000
local se_top_spain_mtr=round(se_b[1,1]*1000)/1000
preserve
drop if year<1996
bys reform treatment: egen netofatr2=mean(netofatr)
xi: ivreg stop (netofatr2= treat_after) i.year i.treatment if year>=2000 & year<=2008 
mfx, eyex
matrix define b=e(Xmfx_eyex)
matrix define se_b=e(Xmfx_se_eyex) 
local beta_top_spain_atr=round(b[1,1]*1000)/1000
local se_top_spain_atr=round(se_b[1,1]*1000)/1000
restore

erase basesynth_temp.dta
************************************************
use basesynth$trunit, clear

twoway (line y_t1 year if year>=1990 & year<=2008, xline(1995.5, lpattern(dash)) lcolor(black) mcolor(black) msize(small)) ///
(line y_s1 year if year>=1990 & year<=2008, xline(2004) lcolor(black) mcolor(black) lpattern(dash) msize(small)) ///
(connected diffmtr year if year>=1990 & year<=2008 , lcolor(red) m(D) msize(vsmall) mcolor(red) msize(small)  yaxis(2)), ///
ytitle("Share of top-quality foreign players") ytitle("Top tax rate differential", axis(2))  xlabel(1990 (5) 2005, grid glc(gs14)) ylabel(0(.05).15,grid glc(gs14))  ///
ylabel(, axis(2)) xtitle(Year)  legend(cols(3) label(1 "Spain")  label(2 "Synthetic Spain") label (3 "{&Delta} top tax rate")) graphregion(fcolor(white)) ///
ttext(.135 2003 "DD elasticity= `beta' (`se')", box just(left) fcolor(white) margin(medsmall)) 

graph export "$pathgraph/Spainsynth_treattop.eps", replace


erase basesynth$trunit.dta


************************************************************************************************
/* 					LOW QUALITY PLAYERS				 */
************************************************************************************************
/* share of low quality foreigners (non national team players)*/
set more off
use $pathdata/basesynthetic_control.dta, clear
local min_y=1990
keep if year>=`min_y'
synth treatlow treatlow quality quality   country_sumtotpts_rel uefa_coef_1, trunit($trunit) trperiod(2004) 
resultsynth `min_y' $trunit

save basesynth$trunit , replace

************************************************
/* Short subprogram to get elasticity estimate */
keep year y_t mtrf_t slow_t atr_f_t
rename y_t y 
rename mtrf_t mtrf
rename slow_t slow
rename atr_f_t atr_f
g treatment=1
save basesynth_temp, replace
use basesynth$trunit , clear
keep year y_s mtrf_s slow_s atr_f_s
rename  y_s y
rename mtrf_s mtrf
rename slow_s slow
rename atr_f_s atr_f
g treatment=0
append using basesynth_temp
g reform=year>=2004
g netoftax=1-mtrf
g treat_after=treatment*reform
xi: ivreg slow (netoftax=treat_after) i.year i.treatment if year>=1990 & year<=2008 
mfx, eyex
matrix define b=e(Xmfx_eyex)
matrix define se_b=e(Xmfx_se_eyex) 
local beta=round(b[1,1]*1000)/1000
local se=round(se_b[1,1]*1000)/1000
local beta_low_spain_mtr=round(b[1,1]*1000)/1000
local se_low_spain_mtr=round(se_b[1,1]*1000)/1000
g netofatr=1-atr_f
so treatment year
replace netofatr=netofatr[_n+1] if year==2004
preserve
bys reform treatment: egen netofatr2=mean(netofatr) if year>=1996
xi: ivreg slow (netofatr2=treat_after) i.treatment i.treatment if year>=2000 & year<=2008 
mfx, eyex
matrix define b=e(Xmfx_eyex)
matrix define se_b=e(Xmfx_se_eyex) 
local beta_low_spain_atr=round(b[1,1]*1000)/1000
local se_low_spain_atr=round(se_b[1,1]*1000)/1000
restore
erase basesynth_temp.dta
************************************************
use basesynth$trunit, clear

twoway (line y_t1 year if year>=1990 & year<=2008, xline(1995.5, lpattern(dash)) lcolor(black) mcolor(black) msize(small)) ///
(line y_s1 year if year>=1990 & year<=2008, xline(2004) lcolor(black) mcolor(black) lpattern(dash) msize(small)) ///
(connected diffmtr year if year>= 1990 & year<=2008 , lcolor(red) m(D) msize(vsmall) mcolor(red) msize(small)  yaxis(2)), ///
ytitle("Share of lower-quality quality foreign players") ytitle("Top tax rate differential", axis(2))  xlabel(1990 (5) 2005, grid glc(gs14)) ylabel(0(.05).15,grid glc(gs14))  ///
ylabel(, axis(2)) xtitle(Year)  legend(cols(3) label(1 "Spain")  label(2 "Synthetic Spain") label (3 "{&Delta} top tax rate")) graphregion(fcolor(white)) ///
ttext(.135 2003 "DD elasticity= `beta' (`se')", box just(left) fcolor(white) margin(medsmall)) 


graph export "$pathgraph/Spainsynth_treatlow.eps", replace

erase basesynth$trunit.dta




/* ************************************************************************************************************************************
														
														DENMARK 1991 
														
														
***************************************************************************************************************************************/
/*Define treated country==> here country=Denmark, id=6 */
global trunit=4
 
************************************************************************************************
/* 					TOP QUALITY PLAYERS				 */
************************************************************************************************
/* share of top foreigners (national team players)*/
set more off
use $pathdata/basesynthetic_control.dta, clear
local min_y= 1985
keep if year>=`min_y'
synth treattop treattop stop quality  country_sumtotpts_rel uefa_coef_1, trunit($trunit) trperiod(1991)  counit(1 2 3 5 6 7 9(1)14)
/* Note: we drop Greece as a control because it experienced a huge payroll tax reform */
resultsynth `min_y' $trunit
save basesynth$trunit , replace

************************************************
/* Short subprogram to get elasticity estimate */
keep year y_t mtrf_t stop_t
rename y_t y 
rename mtrf_t mtrf
rename stop_t stop
g treatment=1
save basesynth_temp, replace
use basesynth$trunit , clear
keep year y_s mtrf_s stop_s
rename  y_s y
rename mtrf_s mtrf
rename stop_s stop
g treatment=0
append using basesynth_temp
g reform=year>=1991
g netoftax=1-mtrf
g treat_after=treatment*reform
xi: ivreg stop (netoftax=treat_after) i.year i.treatment if year>=1985 & year<=2008 
mfx, eyex
matrix define b=e(Xmfx_eyex)
matrix define se_b=e(Xmfx_se_eyex) 
local beta=round(b[1,1]*1000)/1000
local se=round(se_b[1,1]*1000)/1000
local beta_top_den_mtr=round(b[1,1]*1000)/1000
local se_top_den_mtr=round(se_b[1,1]*1000)/1000
erase basesynth_temp.dta
************************************************
use basesynth$trunit, clear
twoway (line y_t1 year if year>=1985 & year<=2008, xline(1995.5, lpattern(dash)) lcolor(black) mcolor(black) msize(small)) ///
(line y_s1 year if year>= 1985 & year<=2008, xline(1991) lcolor(black) mcolor(black) lpattern(dash) msize(small)) ///
(connected diffmtr year if year>= 1985 & year<=2008 , lcolor(red) m(D) msize(vsmall) mcolor(red) msize(small)  yaxis(2)), ///
ytitle("Share of top-quality foreign players") ytitle("Top tax rate differential", axis(2))  xlabel(1985 (5) 2005, grid glc(gs14)) ylabel(0(.025).125,grid glc(gs14))  ///
ylabel(-.4(.2).2, axis(2)) xtitle(Year)  yscale(titlegap(2))  legend(cols(3) label(1 "Denmark")  label(2 "Synthetic Denmark") label (3 "{&Delta} top tax rate")) graphregion(fcolor(white)) ///
ttext(.085 2002 "DD elasticity= `beta' (`se')", box just(left) fcolor(white) margin(medsmall)) ///
ttext(.12 1987 "Before reform", just(left) size(small)) ///
ttext(.12 1993.5 "After reform " "Before Bosman", just(left) size(small)) ///
ttext(.12 2003 "After reform" "After Bosman", just(left) size(small)) 

graph export "$pathgraph/Denmarksynth_treattop.eps", replace

erase basesynth$trunit.dta

************************************************************************************************
/* 					LOW QUALITY PLAYERS				 */
************************************************************************************************


/* share of low quality foreigners (non national team players)*/
set more off
use $pathdata/basesynthetic_control.dta, clear
local min_y= 1985
keep if year>=`min_y'
synth treatlow treatlow quality   country_sumtotpts_rel uefa_coef_1, trunit($trunit) trperiod(1991)  counit(1 2 3 5 6 7 9(1)14)
/* Note: we drop Greece as a control because it experienced a huge payroll Tax reformorm */
resultsynth `min_y' $trunit
save basesynth$trunit , replace

************************************************
/* Short subprogram to get elasticity estimate */
keep year y_t mtrf_t slow_t
rename y_t y 
rename mtrf_t mtrf
rename slow_t slow
g treatment=1
save basesynth_temp, replace
use basesynth$trunit , clear
keep year y_s mtrf_s slow_s
rename  y_s y
rename mtrf_s mtrf
rename slow_s slow
g treatment=0
append using basesynth_temp
g reform=year>=1991
g netoftax=1-mtrf
g treat_after=treatment*reform
xi: ivreg slow (netoftax=treat_after) i.year i.treatment if year>=1985 & year<=2008 
mfx, eyex
matrix define b=e(Xmfx_eyex)
matrix define se_b=e(Xmfx_se_eyex) 
local beta=round(b[1,1]*1000)/1000
local se=round(se_b[1,1]*1000)/1000
local beta_low_den_mtr=round(b[1,1]*1000)/1000
local se_low_den_mtr=round(se_b[1,1]*1000)/1000
erase basesynth_temp.dta
************************************************
use basesynth$trunit, clear
twoway (line y_t1 year if year>=1985 & year<=2008, xline(1995.5, lpattern(dash)) lcolor(black) mcolor(black) msize(small)) ///
(line y_s1 year if year>= 1985 & year<=2008, xline(1991) lcolor(black) mcolor(black) lpattern(dash) msize(small)) ///
(connected diffmtr year if year>= 1985 & year<=2008 , lcolor(red) m(D) msize(vsmall) mcolor(red) msize(small)  yaxis(2)), ///
ytitle("Share of lower-quality foreign players") yscale(titlegap(2))  ytitle("Top tax rate differential", axis(2))  xlabel(1985 (5) 2005, grid glc(gs14)) ylabel(0(.025).125,grid glc(gs14))  ///
ylabel(-.4(.2).2, axis(2)) xtitle(Year)  legend(cols(3) label(1 "Denmark")  label(2 "Synthetic Denmark") label (3 "{&Delta} top tax rate")) graphregion(fcolor(white)) ///
ttext(.085 2002 "DD elasticity= `beta' (`se')", box just(left) fcolor(white) margin(medsmall)) ///
ttext(.12 1987 "Before reform", just(left) size(small)) ///
ttext(.12 1993.5 "After reform " "Before Bosman", just(left) size(small)) ///
ttext(.12 2003 "After reform" "After Bosman", just(left) size(small)) 

graph export "$pathgraph/Denmarksynth_treatlow.eps", replace

erase basesynth$trunit.dta







/* ************************************************************************************************************************************
														
														SPAIN: Beckham Law
														  D - D - D
														 
***************************************************************************************************************************************/
/*Define treated country==> here country=Spain, id=6 */

/* Program to put the results in shape for graphs afetr synth command */
cap program drop resultsynth
program define resultsynth 
args min_year treat
matrix define weights=e(W_weights)
matrix weights2=weights[1...,2]
matrix define t=e(Y_treated)
matrix define s=e(Y_synthetic)

foreach var in mtrf mtrl atr_d atr_f  {
foreach yr of numlist `min_year'(1)2007{
matrix define M`var'_`yr'=(.) 
}
forval id=1/14{
foreach yr of numlist `min_year'(1)2007{
quietly su `var' if id==`id' & year==`yr'
matrix define `var'_`id'_`yr'=(`r(mean)')
matrix define m`id'=rownumb(weights,"`id'")
if m`id'[1,1]!=. & M`var'_`yr'[1,1]!=.{
matrix M`var'_`yr'=(M`var'_`yr', `var'_`id'_`yr')
}
if m`id'[1,1]!=. & M`var'_`yr'[1,1]==.{
matrix M`var'_`yr'=(`var'_`id'_`yr')
}
}
}

matrix define M`var'=(M`var'_`min_year')
matrix define M`var'_t=(`var'_`treat'_`min_year')
local minyr1=`min_year'+1
foreach yr of numlist `minyr1'(1)2007{
matrix M`var'=( M`var' \ M`var'_`yr')
matrix M`var'_t=( M`var'_t \ `var'_`treat'_`yr')
}
mat `var'_w=M`var'*weights2
}

clear
svmat t, names(y_t)
svmat s, names(y_s)
foreach var in mtrf mtrl atr_d atr_f {
svmat `var'_w, names(`var'_s)
svmat M`var'_t, names(`var'_t)
g diff`var'=`var'_t-`var'_s
}
g year=`min_year'+_n-1
g alpha_t=y_t-y_s
end


/*Define treated country==> here country=Spain, id=6 */
global trunit=6

/* Total number of foreigners */
set more off
use $pathdata/ddd.dta, clear
local min_y=1990
keep if year>=`min_y'
keep if year<=2008
synth  fractreatment fractreatment quality   country_sumtotpts_rel uefa_coef_1, trunit($trunit) trperiod(2004) 
resultsynth `min_y' $trunit
save basesynth$trunit , replace

************************************************
/* Short subprogram to get elasticity estimate */
keep year y_t mtrf_t atr_f_t
rename y_t y 
rename mtrf_t mtrf
rename atr_f_t atr_f
foreach var of varlist mtrf {
cap replace `var'=(`var'[_n-1]) if `var'==. & year==2008
}
g treatment=1
save basesynth_temp, replace
use basesynth$trunit , clear
foreach var of varlist mtrf_s1 mtrf_t1 diffmtrf mtrl_s1 mtrl_t1 diffmtrl {
cap replace `var'=(`var'[_n-1]) if `var'==. & year==2008
}
keep year y_s mtrf_s atr_f_s
rename atr_f_s atr_f
rename  y_s y
rename mtrf_s mtrf
g treatment=0
append using basesynth_temp
g reform=year>=2004
g netoftax=1-mtrf
g treat_after=treatment*reform
xi: ivreg y (netoftax=treat_after) i.year i.treatment if year>=1990 & year<=2008 
mfx, eyex
matrix define b=e(Xmfx_eyex)
matrix define se_b=e(Xmfx_se_eyex) 
local beta=round(b[1,1]*1000)/1000
local se=round(se_b[1,1]*1000)/1000
local beta_ddd_spain_mtr=round(b[1,1]*1000)/1000
local se_ddd_spain_mtr=round(se_b[1,1]*1000)/1000
g netofatr=1-atr_f
so treatment year
replace netofatr=netofatr[_n+1] if year==2004
replace netofatr=netofatr[_n-1] if year==2008
bys treatment reform: egen netofatr2=mean(netofatr) if year>=1996
xi: ivreg y (netofatr2=treat_after) i.year i.treatment if year>=1996 & year<=2008 
mfx, eyex
matrix define b=e(Xmfx_eyex)
matrix define se_b=e(Xmfx_se_eyex) 
local beta_ddd_spain_atr=round(b[1,1]*1000)/1000
local se_ddd_spain_atr=round(se_b[1,1]*1000)/1000
save basesynth_temptreatment.dta, replace
************************************************
use basesynth$trunit, clear
foreach var of varlist mtrf_s1 mtrf_t1 diffmtrf mtrl_s1 mtrl_t1 diffmtrl {
cap replace `var'=(`var'[_n-1]) if `var'==. & year==2008
}
twoway (line y_t1 year if year>= 1990 & year<=2008, xline(1995.5, lpattern(dash)) lcolor(black) mcolor(black) msize(small)) ///
(line y_s1 year if year>= 1990 & year<=2008, xline(2004) lcolor(black) mcolor(black) lpattern(dash) msize(small)) ///
(connected diffmtrf year if year>= 1990 & year<=2008 , lcolor(red) mcolor(red)  m(D) msize(vsmall) msize(small)  yaxis(2)), ///
ytitle("Share playing in the country") ytitle("Top tax rate differential", axis(2))  xlabel(1990 (5) 2005, grid glc(gs14)) ylabel(,grid glc(gs14))  ///
ylabel(-.2(.1).1, axis(2)) xtitle(Year)  legend(cols(3) label(1 "Spain")  label(2 "Synthetic Spain") label (3 "{&Delta} top tax rate")) graphregion(fcolor(white)) ///
ttext(.015 1999.9 "DD elasticity= `beta' (`se')", box just(left) fcolor(white) margin(medsmall)) 

graph export "$pathgraph/Spainsynth_ddd_treat.eps", replace

erase basesynth_temptreatment.dta

/* Total number of foreigners */
set more off
use $pathdata/ddd.dta, clear
local min_y=1990
replace fraccontrol=0 if fraccontrol==.
keep if year>=`min_y'
keep if year<=2008
synth  fraccontrol fraccontrol quality   country_sumtotpts_rel uefa_coef_1, trunit($trunit) trperiod(2004) 
resultsynth `min_y' $trunit
save basesynth$trunit , replace

************************************************
/* Short subprogram to get elasticity estimate */
keep year y_t mtrf_t atr_f_t
rename y_t y 
rename mtrf_t mtrf
rename atr_f_t atr_f
foreach var of varlist mtrf {
cap replace `var'=(`var'[_n-1]) if `var'==. & year==2008
}
g treatment=1
save basesynth_temp, replace
use basesynth$trunit , clear
foreach var of varlist mtrf_s1 mtrf_t1 diffmtrf {
cap replace `var'=(`var'[_n-1]) if `var'==. & year==2008
}
keep year y_s mtrf_s atr_f_s
rename  y_s y
rename mtrf_s mtrf
rename  atr_f_s atr_f
g treatment=0
append using basesynth_temp
g reform=year>=2004
g netoftax=1-mtrf
g treat_after=treatment*reform
xi: ivreg y (netoftax=treat_after) i.year i.treatment if year>=1990 & year<=2008 
mfx, eyex
matrix define b=e(Xmfx_eyex)
matrix define se_b=e(Xmfx_se_eyex) 
local beta=round(b[1,1]*1000)/1000
local se=round(se_b[1,1]*1000)/1000
local beta_placebo_spain_mtr=round(b[1,1]*1000)/1000
local se_placebo_spain_mtr=round(se_b[1,1]*1000)/1000
g netofatr=1-atr_f
so treatment year
replace netofatr=netofatr[_n+1] if year==2004
replace netofatr=netofatr[_n-1] if year==2008
bys treatment reform: egen netofatr2=mean(netofatr) if year>=1996
xi: ivreg y (netofatr2=treat_after) i.year i.treatment if year>=2000 & year<=2008
mfx, eyex 
matrix define b=e(Xmfx_eyex)
matrix define se_b=e(Xmfx_se_eyex) 
local beta_placebo_spain_atr=round(b[1,1]*1000)/1000
local se_placebo_spain_atr=round(se_b[1,1]*1000)/1000
save basesynth_tempcontrol.dta, replace
************************************************
use basesynth$trunit, clear

foreach var of varlist mtrf_s1 mtrf_t1 diffmtrf mtrl_s1 mtrl_t1 diffmtrl {
cap replace `var'=(`var'[_n-1]) if `var'==. & year==2008
}

twoway (line y_t1 year if year>=1990 & year<=2008, xline(1995.5, lpattern(dash)) lcolor(black) mcolor(black) msize(small)) ///
(line y_s1 year if year>= 1990 & year<=2008, xline(2004) lcolor(black) mcolor(black) lpattern(dash) msize(small)) ///
(connected diffmtrl year if year>= 1990 & year<=2008 , lcolor(red)  m(D) msize(vsmall) mcolor(red) msize(small)  yaxis(2)), ///
ytitle("Share playing in the country") ytitle("Top tax rate differential", axis(2))  xlabel(1990 (5) 2005, grid glc(gs14)) ylabel(0(.25)1,grid glc(gs14))  ///
ylabel(-.2(.1).1, axis(2)) xtitle(Year)  legend(cols(3) label(1 "Spain")  label(2 "Synthetic Spain") label (3 "{&Delta} top tax rate")) graphregion(fcolor(white)) ///
ttext(.98 1999.9 "Placebo elasticity= `beta' (`se')", box just(left) fcolor(white) margin(medsmall)) 

graph export "$pathgraph/Spainsynth_ddd_control.eps", replace



erase basesynth_tempcontrol.dta
erase basesynth_temp.dta
cap erase basesynth6.dta


/* Store results for table 1 in paper */

clear
input  str5 country str10 quality str10 elast byte elasticity byte se  
"spain" "top" "mtr" . .    
"spain" "top" "atr" . .    
"spain" "low" "mtr" . .    
"spain" "low" "atr" . .     
"spain" "ddd" "mtr" . .     
"spain" "ddd" "atr" . .    
"spain" "placebo" "mtr" . .    
"spain" "placebo" "atr" . .   
 "den" "top" "mtr" . . 
"den" "low" "mtr" . .  
end 
save  $pathgraph/table1_countrycasestudies.dta, replace


foreach country in spain{
foreach quality in top low ddd placebo {
foreach elast in mtr atr{
replace elasticity=`beta_`quality'_`country'_`elast'' if country=="`country'" & quality=="`quality'" & elast=="`elast'"
replace se=`se_`quality'_`country'_`elast'' if country=="`country'" & quality=="`quality'" & elast=="`elast'"
}
}
}

foreach country in den{
foreach quality in top low  {
foreach elast in mtr{
replace elasticity=`beta_`quality'_`country'_`elast'' if country=="`country'" & quality=="`quality'" & elast=="`elast'"
replace se=`se_`quality'_`country'_`elast'' if country=="`country'" & quality=="`quality'" & elast=="`elast'"
}
}
}

save  $pathgraph/table1_countrycasestudies.dta, replace

