/* Table a2 : weights for synthetic control analysis */

use $pathdata/basesynthetic_control.dta, clear
local min_y=1990
keep if year>=`min_y'
synth treattop treattop quality   country_sumtotpts_rel uefa_coef_1, trunit(6) trperiod(2004)
matrix w1=e(W_weights)

use $pathdata/basesynthetic_control.dta, clear
local min_y=1990
keep if year>=`min_y'
synth treatlow treatlow quality quality   country_sumtotpts_rel uefa_coef_1, trunit(6) trperiod(2004)
matrix w2=e(W_weights)


use $pathdata/basesynthetic_control.dta, clear
local min_y= 1985
keep if year>=`min_y'
synth treattop treattop stop quality  country_sumtotpts_rel uefa_coef_1, trunit(4) trperiod(1991) counit(1 2 3 5 6 7 9(1)14)
/* Note: we drop Greece as a control because it experienced a huge payroll tax reform */
matrix w3=e(W_weights)

use $pathdata/basesynthetic_control.dta, clear
local min_y= 1985
keep if year>=`min_y'
synth treatlow treatlow quality   country_sumtotpts_rel uefa_coef_1, trunit(4) trperiod(1991) counit(1 2 3 5 6 7 9(1)14)
/* Note: we drop Greece as a control because it experienced a huge payroll Tax reformorm */
matrix w4=e(W_weights)

use $pathdata/ddd.dta, clear
local min_y=1990
keep if year>=`min_y'
keep if year<=2008
synth  fractreatment fractreatment quality   country_sumtotpts_rel uefa_coef_1, trunit(6) trperiod(2004)
matrix w5=e(W_weights)

use $pathdata/ddd.dta, clear
local min_y=1990
replace fraccontrol=0 if fraccontrol==.
keep if year>=`min_y'
keep if year<=2008
synth  fraccontrol fraccontrol quality   country_sumtotpts_rel uefa_coef_1, trunit(6) trperiod(2004)
matrix w6=e(W_weights)

use $pathdata/basesynthetic_control.dta, clear
local min_y= 1985
keep if year>=`min_y'
synth f f quality playquality2 country_coef_1  country_sumtotpts_rel uefa_coef_1, trunit(4) trperiod(1991) 
matrix w7=e(W_weights)

*****************************************************************************************

matrix wspain2=w2[1...,2]
matrix wspain3=w5[1...,2]
matrix wspain4=w6[1...,2]

matrix w=(w1, wspain2, wspain3, wspain4)



matrix wden2=w4[1...,2]
matrix wbis=(w3, wden2)

matrix wter=w7

clear
svmat w 
rename w1 id 
rename w2 Fig2A1 
rename w3 Fig2A2 
rename w4 Fig2B1 
rename w5 Fig2B2
so id
save $pathdata/tablea2, replace

clear 
svmat wbis
rename wbis1 id 
rename wbis2 Fig3A  
rename wbis3 Fig3B
so id
merge id using $pathdata/tablea2
drop _merge
so id
save $pathdata/tablea2, replace

clear 
svmat wter
rename wter1 id 
rename wter2 FigA6 
so id
merge id using $pathdata/tablea2
drop _merge
so id
save $pathdata/tablea2, replace

use $pathdata/basesynthetic_control.dta, clear
g compteur=1
collapse compteur, by( id country )
drop compteur
so id
merge id using $pathdata/tablea2
drop _merge

replace country="Austria" if country=="aut"
replace country="Belgium" if country=="bel"
replace country="Germany" if country=="deu"
replace country="Denmark" if country=="dnk"
replace country="England" if country=="eng"
replace country="Spain" if country=="esp"
replace country="Greece" if country=="grc"
replace country="Italy" if country=="ita"
replace country="Netherlands" if country=="nld"
replace country="Norway" if country=="nor"
replace country="Portugal" if country=="prt"
replace country="Switzerland" if country=="sui"
replace country="Sweden" if country=="swe"
replace country="France" if country=="fra"


so country
drop id 
order country Fig3A Fig3B FigA6 Fig2A1 Fig2A2 Fig2B1 Fig2B2
g lastcol="\\"
outsheet using "$pathgraph/tablea2.txt", delimiter("&") noquote replace

erase $pathdata/tablea2.dta
